Skip to main content
PATCH
/
v0
/
user
/
rules
/
{rule_id}
Update Rule
curl --request PATCH \
  --url https://api.sumvin.com/v0/user/rules/{rule_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "rule_prompt": "<string>",
  "applies_to": "<string>",
  "priority": 500
}
'
{
  "_links": {},
  "rule": {
    "id": "<string>",
    "name": "<string>",
    "rule_prompt": "<string>",
    "applies_to": "<string>",
    "priority": 123,
    "created_at": 123,
    "updated_at": 123
  }
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

rule_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 255
rule_prompt
string | null
Minimum string length: 1
applies_to
string | null
priority
integer | null
Required range: 0 <= x <= 1000

Response

Rule updated successfully

HAL-style hypermedia links for navigation and available actions.

rule
RuleData · object
required